# Dividend history

> Every dividend a company has paid: amount per share, ex-dividend date, record (qualification) date and payment date.

```http
GET https://koboterminal.com/api/ngxdata/dividends/{symbol}
```

**Plan:** Free and above (free key, no card).

## Parameters

| Name | In | Type | Required | Description |
|---|---|---|---|---|
| `symbol` | path | string | yes | NGX ticker (e.g. `GTCO`) |
| `limit` | query | integer | no | Number of payments, or "all" (default) |

## Request

```bash
curl "https://koboterminal.com/api/ngxdata/dividends/GTCO" \
  -H "X-API-Key: $KOBO_API_KEY"
```

```python
import os, requests

r = requests.get(
    "https://koboterminal.com/api/ngxdata/dividends/GTCO",
    headers={"X-API-Key": os.environ["KOBO_API_KEY"]},
    timeout=30,
)
r.raise_for_status()
data = r.json()
```

```javascript
const res = await fetch("https://koboterminal.com/api/ngxdata/dividends/GTCO", {
  headers: { "X-API-Key": process.env.KOBO_API_KEY },
});
if (!res.ok) throw new Error(`Kobo API ${res.status}`);
const data = await res.json();
```

## Response

Real response from the live API on 18 November 2026, trimmed to the first item of each list:

```json
{
  "success": true,
  "symbol": "GTCO",
  "company_name": null,
  "source": "stored",
  "count": 11,
  "latest_ex_dividend_date": "2026-10-13",
  "history": [
    {
      "exchange": "NGX",
      "symbol": "GTCO",
      "company_name": "GTCO ",
      "ex_dividend_date": "2026-10-13",
      "record_date": "2026-10-13",
      "pay_date": "2026-10-20",
      "dividend_per_share": 1,
      "raw_amount_text": "1.000 NGN",
      "currency": "NGN",
      "raw_declared_text": null,
      "created_at": "2026-11-01T02:00:04.873+00:00",
      "updated_at": "2026-11-01T02:00:04.873+00:00"
    }
  ]
}
```

## Use it from an AI assistant

This endpoint is available as the `get_dividend_history` tool on the Kobo Terminal MCP server (`https://koboterminal.com/mcp`). See [MCP server](https://koboterminal.com/docs/mcp).

## Errors

Standard errors apply: see [Rate limits and errors](https://koboterminal.com/docs/errors).
